define(["qlik", "jquery",], function(qlik, $) {
	return {
		label: "Labels",
		type: "items",
		items: {
			inputPlaceholder: {
				ref: "props.inputPlaceholder",
				label: "Input placeholder",
				type: "string",
				defaultValue: "Your input."
			},
			actionButtenLabel: {
				ref: "props.actionButtenLabel",
				label: "Action button label",
				type: "string",
				defaultValue: "My action"
			},
			updateViewsButtonLabel: {
				ref: "props.updateViewsButtonLabel",
				label: "Update views label",
				type: "string",
				defaultValue: "Update Views"
			},
			actionStatusLabel: {
				ref: "props.actionStatusLabel",
				label: "Status action label",
				type: "string",
				defaultValue: "Performing action"
			},
			actionKey: {
				ref: "props.actionKey",
				label: "Action key",
				type: "string",
				defaultValue: "myUniqueActionKey"
			},
			statusReadyLabel: {
				ref: "props.statusReadyLabel",
				label: "Status ready label",
				type: "string",
				defaultValue: "Ready"
			},
			statusSavingLabel: {
				ref: "props.statusSavingLabel",
				label: "Status saved label",
				type: "string",
				defaultValue: "Saving"
			},
			statusLoadingLabel: {
				ref: "props.statusLoadingLabel",
				label: "Status loading label",
				type: "string",
				defaultValue: "Loading"
			},
			statusErrorLabel: {
				ref: "props.statusErrorLabel",
				label: "Status error label",
				type: "string",
				defaultValue: "Follow any instructions in the message above, try reloading the page, else contact support"
			},
			lastChangeLabel: {
				ref: "props.lastChangeLabel",
				label: "Last change label",
				type: "string",
				defaultValue: "Last change at:"
			},
			lastNoChangeLabel: {
				ref: "props.lastNoChangeLabel",
				label: "No change label",
				type: "string",
				defaultValue: "No changes"
			},
			lastActionLabel: {
				ref: "props.lastActionLabel",
				label: "Last action label",
				type: "string",
				defaultValue: "Last action performed at:"
			},
			lastNoActionLabel: {
				ref: "props.lastNoActionLabel",
				label: "No action label",
				type: "string",
				defaultValue: "No ations"
			},
			authenticatingLabel: {
				ref: "props.authenticatingLabel",
				label: "Interactive authentication message",
				type: "string",
				defaultValue: "Trying to authentication in new tab, if no tab was open, enable popups for this site and reload"
			},
			noDataLabel: {
				ref: "props.noDataLabel",
				label: "No data label",
				type: "string",
				defaultValue: "No data to show for current selection"
			},
		},
		
	}
});